Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class Tree<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.objects.Tree<TKey,TValue>

All Implemented Interfaces:
  Cloneable, Map<TKey,TValue>, IPdfObjectWrapper

Direct Known Subclasses:
  NameTree, NumberTree

    @PDF(value=PDF10)
    public abstract class Tree<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>

extends PdfObjectWrapper<PdfDictionary>
implements Map<TKey,TValue>

Abstract tree [PDF:1.6:3.8.5].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`protected` | `Tree(Document context)`
`protected` | `Tree(PdfDirectObject baseObject)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<TKey,TValue>>` | `entrySet()`
`boolean` | `equals(Object object)`
`TValue` | `get(Object key)`
`TKey` | `getKey(TValue value)` Gets the key associated to the specified value.
`protected abstract PdfName` | `getPairsKey()` Gets the name of the key-value pairs entries.
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set<TKey>` | `keySet()`
`TValue` | `put(TKey key, TValue value)`
`void` | `putAll(Map<? extends TKey,? extends TValue> entries)`
`TValue` | `remove(Object key)`
`int` | `size()`
`Collection<TValue>` | `values()`
`protected abstract TValue` | `wrapValue(PdfDirectObject baseObject)` Wraps a base object within its corresponding high-level representation.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tree

    protected Tree(Document context)

### Tree

    protected Tree(PdfDirectObject baseObject)

Method Detail

### getKey

    public TKey getKey(TValue value)

  Gets the key associated to the specified value.

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### entrySet

    public Set<Map.Entry<TKey,TValue>> entrySet()

  Specified by:
    `entrySet` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`
  Overrides:
    `equals` in class `PdfObjectWrapper<PdfDictionary>`

### get

    public TValue get(Object key)

  Specified by:
    `get` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### keySet

    public Set<TKey> keySet()

  Specified by:
    `keySet` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### put

    public TValue put(TKey key,
                      TValue value)

  Specified by:
    `put` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### putAll

    public void putAll(Map<? extends TKey,? extends TValue> entries)

  Specified by:
    `putAll` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### remove

    public TValue remove(Object key)

  Specified by:
    `remove` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### values

    public Collection<TValue> values()

  Specified by:
    `values` in interface `Map<TKey extends PdfSimpleObject<?>,TValue extends PdfObjectWrapper<? extends PdfDataObject>>`

### getPairsKey

    protected abstract PdfName getPairsKey()

  Gets the name of the key-value pairs entries.

### wrapValue

    protected abstract TValue wrapValue(PdfDirectObject baseObject)

  Wraps a base object within its corresponding high-level representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.